using System;
using System.Collections.Specialized;
using System.Configuration;

namespace EncryptionSample
{
    public class Program
    {
        private static void Main(string[] args)
        {
            // Write out the contents of the config file.
            Console.WriteLine("MyConnectionString = " + ConfigurationManager.ConnectionStrings["MyConnectionString"]);
            Console.WriteLine("BufferSize = " + ConfigurationManager.AppSettings["BufferSize"]);
            //Console.WriteLine("SomeService.UserName = " + ConfigurationManager.AppSettings["SomeService.UserName"]);
            //Console.WriteLine("SomeService.Password = " + ConfigurationManager.AppSettings["SomeService.Password"]);

            // Access the secureAppSettings
            NameValueCollection secureAppSettings = (NameValueCollection) ConfigurationManager.GetSection("secureAppSettings");
            Console.WriteLine("SomeService.UserName = " + secureAppSettings["SomeService.UserName"]);
            Console.WriteLine("SomeService.Password = " + secureAppSettings["SomeService.Password"]);

            Console.ReadLine();
        }
    }
}